<div class='ptx__tax'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <ng-container *ngIf="isEmployeeMb || !registerId">
    <app-personal-information
      [isSubmitted]='isSubmitted'
      [form]='form'
      (getEmployee)='getEmployeeId($event)'
      [isCheckEmployeeHasTaxNumber]="true"
    ></app-personal-information>
  </ng-container>
  <form nz-form [formGroup]="form" style="margin-top: 20px">
    <div nz-row [nzGutter]="[30,30]">
      <ng-container *ngIf="!isEmployeeMb">
        <div  nz-col [nzXs]="24" [nzLg]="12">
          <mb-input-text
            formControlName="idNo"
            appNumberInput
            [mbMaxLength]="12"
            [mbType]="(isSubmitted && form.controls['idNo'].errors || form.errors?.onlyAccept9Or12Digit) ? 'error' : 'default'"
            [mbShowError]="(isSubmitted && (form.controls['idNo'].errors !== null || form.errors?.onlyAccept9Or12Digit !== null))"
            [mbErrors]="form.errors?.onlyAccept9Or12Digit ? form.errors : form.controls['idNo'].errors"
            [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.dependentRegisters.idNo' | translate }},
                { errorName: 'onlyAccept9Or12Digit', errorDescription: 'personalTax.validate.onlyAccept9Or12Digit' | translate: {'param': 'personalTax.dependentRegisters.idNo' | translate}}
            ]"
            mbPlaceholderText="{{'personalTax.personalInfo.idNo' | translate}}"
            mbLabelText="{{'personalTax.personalInfo.idNo' | translate}} <span class='label__required'>*</span>"></mb-input-text>
        </div>

        <div  nz-col [nzXs]="24" [nzLg]="12">
          <mb-input-text
            formControlName="taxNo"
            appNumberInput
            [mbType]="(isSubmitted && form.controls['taxNo'].errors) ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['taxNo'].errors !== null"
            [mbErrors]="form.controls['taxNo'].errors"
            [mbErrorDefs]="[
                { errorName: 'errLength', errorDescription: 'personalTax.validate.taxNoError' | translate},
            ]"
            mbPlaceholderText="{{'personalTax.personalInfo.taxNo' | translate}}"
            mbLabelText="{{'personalTax.personalInfo.taxNo' | translate}}"></mb-input-text>
        </div>

        <div  nz-col [nzXs]="24" [nzLg]="12">
          <mb-input-text
            formControlName="fullName"
            [mbMaxLength]="200"
            [mbType]="(isSubmitted && form.controls['fullName'].errors) ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['fullName'].errors !== null"
            [mbErrors]="form.controls['fullName'].errors"
            [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.personalInfo.fullName' | translate }},
            ]"
            mbPlaceholderText="{{'personalTax.personalInfo.fullName' | translate}}"
            mbLabelText="{{'personalTax.personalInfo.fullName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
        </div>
      </ng-container>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <mb-select [mbDataSelects]="listOrgManage"
                   formControlName="orgId"
                   [mbType]="isSubmitted && form.controls['orgId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['orgId'].errors !== null"
                   [mbErrors]="form.controls['orgId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.dependent.table.orgManageName' | translate }}]"
                   mbPlaceholder="{{'personalTax.dependent.table.orgManageName' | translate}}"
                   mbLabelText="{{'personalTax.dependent.table.orgManageName' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <mb-select [mbDataSelects]="listYear"
                   formControlName="year"
                   [mbType]="isSubmitted && form.controls['year'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['year'].errors !== null"
                   [mbErrors]="form.controls['year'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.declarationRegisters.yearRev' | translate }}]"
                   (ngModelChange)='selectYear($event)'
                   mbPlaceholder="{{'personalTax.declarationRegisters.yearRev' | translate}}"
                   mbLabelText="{{'personalTax.declarationRegisters.yearRev' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <div  nz-col [nzXs]="24" [nzLg]="12">
        <mb-input-text
          formControlName="email"
          [mbMaxLength]="200"
          [mbDisable]="isDetail"
          mbPlaceholderText="{{'personalTax.personalInfo.email' | translate}}"
          mbLabelText="{{'personalTax.personalInfo.email' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]=24 [nzLg]="24">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'personalTax.dependentRegisters.note' | translate}}"
          mbLabelText="{{'personalTax.dependentRegisters.note' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]="24" [nzLg]="24" [ngStyle]="{'text-align': 'right'}" >
        <button nz-button nzType="default" *ngIf="!isDetail" (click)="closeModalAdd()">{{'personalTax.dependentRegisters.cancel' | translate}}</button>
        <button nz-button nzType="default" *ngIf="isDetail" (click)="closeModalAdd()">{{'personalTax.dependentRegisters.back' | translate}}</button>

        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
                   (click)="onSave(constant.STATUS_OBJ.IS_DECLARING)"
                   [mbIsDisable]='disableBtnSave'
                   *ngIf="!isDetail"
                   mbButtonText="{{'personalTax.dependentRegisters.save' | translate}}"></mb-button>
      </div>
    </div>
  </form>
</div>
